Bug 1299649 - mpfr.info in the package with wrong encoding
mpfr.info in the package with wrong encoding
Status: NEW
Product: Fedora
Classification: Fedora
Component: mpfr (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Cahyna
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-18 16:50 EST by Michal Jaegermann
Modified: 2017-11-16 14:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:59:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of mpfr.info display from Fedora 25 (7.70 KB, image/png)
2016-12-13 14:40 EST, Michal Jaegermann
no flags Details

  None (edit)
Description Michal Jaegermann 2016-01-18 16:50:53 EST
Description of problem:

A content of mpfr.info looks like this:
.....
The main characteristics of MPFR, which make it
differ from most arbitrary precision floating-point software tools, are:

   • the MPFR code is portable, i.e., the result of any operation does
     not depend on the machine word size ‘mp_bits_per_limb’ (64 on most
     current processors);
.....
(and so on, and so on).  Make wonders for readability.

Whereas both mpfr.info already included in the source package and a similar file produced by a 'makeinfo' run from mpfr.texi does not suffer from such affliction and the corresponding text fragment shows as:
....
The main characteristics of MPFR, which make it
differ from most arbitrary precision floating-point software tools, are:

   • the MPFR code is portable, i.e., the result of any operation does
     not depend on the machine word size ‘mp_bits_per_limb’ (64 on most
     current processors);
....
as expected (and continues in the same manner).

Version-Release number of selected component (if applicable):
mpfr-3.1.3-2.fc23

Expected results:
An info file using utf-8 encoding (especially that in an 'mpft.texi' header one can find '@documentencoding UTF-8'

Additional info:
No trouble in producing a correct info file on a F23 installation.  In any case a ready mpfr.info file from sources can be used instead.
Comment 1 Michal Jaegermann 2016-01-18 16:59:08 EST
It appears that a web interface "filtered-out" some stuff which it does not recognize; so in reality this is quite a bit worse than it looks here.
Comment 2 Fedora End Of Life 2016-11-24 10:02:25 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Michal Jaegermann 2016-12-13 14:40 EST
Created attachment 1231318 [details]
screenshot of mpfr.info display from Fedora 25

This is as broken in Fedora 25 as it was in 23.  As bugzilla "cleans up" a pasted output, and one has to run 'info mpfr' to see results for yourself, I am including a screenshot of a small fragment showing how this is presented.  This is as bad, or worse, through the whole document and it does not take much to fix it.
Comment 4 Fedora End Of Life 2016-12-20 12:59:02 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Michal Jaegermann 2016-12-20 13:21:03 EST
(In reply to Fedora End Of Life from comment #4)

> If you can reproduce this bug against a currently maintained version of
> Fedora please feel free to reopen this bug against that version.

Yes, I do and I already did.  See comment #3. mpfr-3.1.5-1.fc25 suffers from the same affliction.
Comment 6 Jerry James 2017-03-03 18:30:31 EST
Even more fun: everything past section 4 ("MPFR Basics") is missing.  This includes section 5, "MPFR Interface", exactly the section I need....
Comment 7 Fedora Admin XMLRPC Client 2017-07-21 11:41:43 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora End Of Life 2017-11-16 13:31:31 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 9 Michal Jaegermann 2017-11-16 14:18:41 EST
This is equally broken in mpfr-3.1.5-5.fc27 including missing parts after section 4 as noted in comment #6.

What is more interesting that somebody had to work hard to mess things up in such manner as a default build does not suffer from this strange affliction.  Would some kind soul, please, wake up and restore a modicum of sanity?

Note You need to log in before you can comment on or make changes to this bug.